/*
    BTPlusPlus 0.97r5
    Copyright (C) 2004-2006 Damian "Rush" Kaczmarek

    This program is free software; you can redistribute and/or modify
    it under the terms of the Open Unreal Mod License version 1.1.
*/

class BTPPGameReplicationInfo expands ReplicationInfo;
/* class holding global information needed by the class'BTPPHUDMutator' and class'BTScoreboard' */

var bool bShowAntiBoostStatus; // whether to show antiboost status, depends on class'BTPlusPlus'.bAntiBoost and class'BTPlusPlus'.bBlockBoostForGood
var bool bSaveRecords; // should be now obvious

// variables needed by either BTScoreboard or BTPPHUDMutator, set by class'BTPlusPlus'
var string MapBestTime;
var string MapBestPlayer;
var string MapBestDate;
var string CountryFlagsPackage;
var string BoardLabel;

replication {
	reliable if (ROLE == ROLE_Authority)
			MapBestTime, MapBestPlayer, MapBestDate, bShowAntiBoostStatus, bSaveRecords, CountryFlagsPackage, BoardLabel;
}

defaultproperties {
  NetPriority=9.0
  CountryFlagsPackage="CountryFlags2"
  MapBestTime="0:00"
  MapBestPlayer="N/A"
}